<template>
  <section>
    <div class="toolbar">
      <div
        :class="{ active: selectedTool == null }"
        @click="selectedTool = null"
        class="hand-free"
      >
        hand
      </div>
      <hr />
      <div
        v-for="tool in tools"
        :key="tool.shortKey"
        class="tool"
        :class="{ active: selectedTool == tool.shortKey }"
        @click="selectedTool = tool.shortKey"
      >
        {{ tool.name }}
      </div>
    </div>
  </section>
</template>
<script>
export default {
  mounted() {
    window.addEventListener('keydown', this.checkKey);
  },
  methods: {
    checkKey(e) {
      if (e.key == 'Escape') {
        this.selectedTool = null;
      } else {
        this.tools.filter((tool) => {
          if (e.key.includes(tool.shortKey)) {
            this.selectedTool = tool.shortKey;
          }
        });
      }
    },
  },
  data() {
    return {
      selectedTool: null,
      tools: [
        {
          name: 'Brush',
          icon: 'brush',
          shortKey: '1',
        },
        {
          name: 'Magic Pen',
          icon: 'magic-pen',
          shortKey: '2',
        },
        {
          name: 'Eraser',
          icon: 'eraser',
          shortKey: '3',
        },
        {
          name: 'Crop',
          icon: 'crop',
          shortKey: '4',
        },
        {
          name: 'Fill',
          icon: 'fill',
          shortKey: '5',
        },
      ],
    };
  },
};
</script>
<style scoped>
.hand-free {
  margin: 30px 0;
  cursor: pointer;
  padding: 4px 0;
}
.toolbar {
  position: fixed;
  height: 100%;
  width: 100px;
  left: 0;
  top: 0;
  background: #172033;
  color: #fff;
  padding: 10px 0;
}
.tool {
  cursor: pointer;
  margin: 10px 0;
  padding: 4px 0;
}
.active {
  color: green;
}
</style>
